aim4.driver

## Class AutoV2VDriver

- java.lang.Object
- - aim4.driver.Driver
  - - aim4.driver.AutoDriver
    - - aim4.driver.AutoV2VDriver

- All Implemented Interfaces:
    AutoDriverCoordinatorView, AutoDriverPilotView, DriverSimView

      public class AutoV2VDriver
      extends AutoDriver

  An autonomous V2V driver.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AutoV2VDriver.State` Potential states that a CoordinatingDriverAgent can be in.

  - ### Field Summary

    - ### Fields inherited from class aim4.driver.Driver

      `currentLane, currentlyOccupiedLanes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoV2VDriver(AutoVehicleDriverView vehicle, BasicMap basicMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finalizeClaimParameters()` Inform the driver agent that the Claim it is currently holding has stood up for the required amount of time and can be used to cross the intersection.
    `AutoVehicleDriverView` | `getVehicle()` Get the Vehicle this DriverAgent is controlling.
    `void` | `setClaimParameters(double arrivalTime, double arrivalVelocity, Lane arrivalLane, Lane departureLane)` Set the parameters for this driver agent's Claim.

    - ### Methods inherited from class aim4.driver.AutoDriver

      `act, distanceFromPrevIntersection, distanceToNextIntersection, getCurrentCoordinator, getCurrentIM, inCurrentIntersection, nextIntersectionManager`

    - ### Methods inherited from class aim4.driver.Driver

      `addCurrentlyOccupiedLane, getCurrentLane, getCurrentlyOccupiedLanes, getDestination, getSpawnPoint, setCurrentLane, setDestination, setSpawnPoint`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface aim4.driver.AutoDriverCoordinatorView

      `addCurrentlyOccupiedLane, getCurrentLane, getDestination, setCurrentLane`

    - ### Methods inherited from interface aim4.driver.AutoDriverPilotView

      `getCurrentLane, setCurrentLane`

- - ### Constructor Detail

    - #### AutoV2VDriver

          public AutoV2VDriver(AutoVehicleDriverView vehicle,
                       BasicMap basicMap)

  - ### Method Detail

    - #### getVehicle

          public AutoVehicleDriverView getVehicle()

      Get the Vehicle this DriverAgent is controlling.
      Specified by:
        `getVehicle` in interface `AutoDriverPilotView`
      Specified by:
        `getVehicle` in interface `DriverSimView`
      Overrides:
        `getVehicle` in class `AutoDriver`
      Returns:
        the Vehicle this DriverAgent is controlling

    - #### setClaimParameters

          public void setClaimParameters(double arrivalTime,
                                double arrivalVelocity,
                                Lane arrivalLane,
                                Lane departureLane)

      Set the parameters for this driver agent's Claim. This method is used by the Coordinator to inform the Pilot about the Claim that the Coordinator has secured.
      Parameters:
        `arrivalTime` - the time at which the Vehicle should arrive at the intersection
        `arrivalVelocity` - the minimum arrival Velocity in order to complete the Claim on time
        `arrivalLane` - the Lane in which the Vehicle should arrive at the intersection
        `departureLane` - the Lane in which the Vehicle should depart the intersection

    - #### finalizeClaimParameters

          public void finalizeClaimParameters()

      Inform the driver agent that the Claim it is currently holding has stood up for the required amount of time and can be used to cross the intersection.

Copyright © 2013. All rights reserved.